package com.brilliance.isc.funds.fttfcm.document;

import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FttfcmStoreBo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Component("fttfcm.docset")
public class FttfcmDocset extends AbstractTransactionDocSet<FttfcmStoreBo> {

    @Resource
    private BuildFtt320l1 buildFtt320l1;

    @PostConstruct
    public void buildMember() {
        buildLetterProvider("fttfcm","FTT3201","FTT1991","FTT2991");
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }

    public Map<String,Object> buildExtraMapForLetter(FttfcmStoreBo trnbo, DoceotVo doceotVo){
        if (MdaUtils.compareTo(doceotVo.getDocnam(),"FTT3201")==0){
            return buildFtt320l1.build(trnbo,doceotVo);
        } else {
            return new HashMap<>();
        }
    }
}
