package com.brilliance.isc.funds.fxtfcn.register.doc;

import com.brilliance.isc.common.component.PtsptaToolComponent;
import com.brilliance.isc.common.register.document.IDocumentRegister;
import com.brilliance.isc.common.register.document.common.SetmodDocumentRegister;
import com.brilliance.isc.common.trndoc.service.TrndocService;
import com.brilliance.isc.common.trndoc.vo.TrndocVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.funds.FxdBizInfoVo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtfcnDocumentRegister
 * @description: 结售汇平盘确认 Fxtfcn 报文注册
 * @author: Lenovo
 * @create: 2024-10-11 17:47
 */
@Component("fxtfcn.documentRegister")
public class FxtfcnDocumentRegister implements IDocumentRegister {

    @Autowired
    TrndocService trndocService;
    @Resource
    PtsptaToolComponent ptsptaToolComponent;
    @Autowired
    private SetmodDocumentRegister setmodDocumentRegister;

    @Override
    public void registerDocument(TrndocVo trndoc) {

        doRegister(trndoc);
        setmodDocumentRegister.registerDocument(trndoc);
        //entmodDocumentRegister.registerDocument(trndoc);
    }

    public void doRegister(TrndocVo trndoc){

    }
}
