package com.brilliance.isc.funds.common.controller;


import com.brilliance.isc.common.api.gle.controller.AbstractGleController;
import com.brilliance.isc.common.api.gle.vo.GlentryRequest;
import com.brilliance.isc.common.api.gle.vo.GlentryResponse;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.funds.FxdBizInfoVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 会计分录组件
 */
@RestController
@RequestMapping("/fxd")
public class FxdGleController extends AbstractGleController<FxdBizInfoVo> {

    /**
     * 会计分录试算入口
     *
     * @param glentryRequest
     * @return ResponseSet<GlentryResponse>
     */

    @RequestMapping("/gle/assertGle")
    @Override
    public ResponseSet<GlentryResponse> generateGlentry(@RequestBody GlentryRequest<FxdBizInfoVo> glentryRequest) {
        return super.generateGlentry(glentryRequest);
    }
}
