package com.brilliance.isc.funds.bo.funds;

import com.brilliance.isc.bo.model.Ftdgrp;
import com.brilliance.isc.bo.model.Fttp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttfcnStoreBo extends BaseTransactionVo {
    private BigDecimal canamt= Decimals.ZERO_SCALE2;

    boolean clsflg = true;

    private Ftdgrp ftdgrp;

    private Fttp fttp;
    @Override
    public void reset(){
        super.reset();
        if (ftdgrp == null){
            ftdgrp = new Ftdgrp();
        }
        ftdgrp.reset();

        if (fttp == null){
            fttp = new Fttp();
        }
        fttp.reset();
    }
}
